Bug 24901 - Can't compile with kgcc either
Can't compile with kgcc either
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-24 20:58 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-24 20:58:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-24 20:58:51 EST
gcc problems are supposed to be resolved by using kgcc, but the following
happened:

kgcc -DMODULE -Wall -Wstrict-prototypes -O6 -c tulip.c


tulip.c: In function `tulip_open':
tulip.c:1437: structure has no member named `tbusy'
tulip.c:1438: structure has no member named `start'
tulip.c: In function `tulip_start_xmit':
tulip.c:2530: structure has no member named `tbusy'
tulip.c:2563: structure has no member named `tbusy'
... etc. etc.
Comment 1 Jakub Jelinek 2001-01-25 10:11:54 EST
This is definitely not a gcc bug, my guess is that you are compiling
a 2.2 tulip driver against 2.4 headers (which are installed in /usr/include/{linux,asm}).
Make sure to pass -I/lib/modules/`uname -r`/build/include or
perhaps -I/usr/src/linux/include on the command line.

Note You need to log in before you can comment on or make changes to this bug.